import { IDisposable } from '@phosphor/disposable';
import { JupyterLabPlugin } from '@jupyterlab/application';
import { ToolbarButton, IClientSession } from '@jupyterlab/apputils';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { NotebookPanel, INotebookModel } from '@jupyterlab/notebook';
/**
 * Initialization data for the kernel_reconnector_extension extension.
 */
declare const extension: JupyterLabPlugin<void>;
export declare class KernelReconnector extends ToolbarButton {
    previousIOPubTime: number;
    constructor(session: IClientSession);
    private _delay;
    private _updateTimeStamp;
    private _refreshRunning;
}
export declare class KernelReconnectorExtension implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    /**
     * Create a new extension object.
     */
    createNew(panel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
}
export default extension;
